<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SpaceFighter2020: Menu Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SpaceFighter2020
   </div>
   <div id="projectbrief">This documentation reffers to the game Space Fighter 2020 created for pa2 course. Game is side-scrolling shooter where the goal is to get on the end of the level and kill as much as enemy ships as possible. Player can pick up bonuses for repairing point of health or upgrading his weapons.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="classMenu-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Menu Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="classMenu.html" title="Menu class for managing user input.">Menu</a> class for managing user input.  
 <a href="classMenu.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="Menu_8h_source.html">Menu.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a032165d0ada39bda2558e21241f2a965"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMenu.html#a032165d0ada39bda2558e21241f2a965">StartMenu</a> ()</td></tr>
<tr class="separator:a032165d0ada39bda2558e21241f2a965"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:acf52b48751de665f35f1aa73689d2365"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMenu.html#acf52b48751de665f35f1aa73689d2365">CheckTerminal</a> ()</td></tr>
<tr class="memdesc:acf52b48751de665f35f1aa73689d2365"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check if terminal is sufficient in size.  <a href="classMenu.html#acf52b48751de665f35f1aa73689d2365">More...</a><br /></td></tr>
<tr class="separator:acf52b48751de665f35f1aa73689d2365"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a416cfe4b532ec381fe9c2acacf5e5805"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMenu.html#a416cfe4b532ec381fe9c2acacf5e5805">CheckLevelName</a> (std::string fname) const</td></tr>
<tr class="memdesc:a416cfe4b532ec381fe9c2acacf5e5805"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks if level name is valid.  <a href="classMenu.html#a416cfe4b532ec381fe9c2acacf5e5805">More...</a><br /></td></tr>
<tr class="separator:a416cfe4b532ec381fe9c2acacf5e5805"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a133f4680b8799854d6afc95a151d5e0e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMenu.html#a133f4680b8799854d6afc95a151d5e0e">PrintLevelNames</a> () const</td></tr>
<tr class="memdesc:a133f4680b8799854d6afc95a151d5e0e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints name of levels insade map directory.  <a href="classMenu.html#a133f4680b8799854d6afc95a151d5e0e">More...</a><br /></td></tr>
<tr class="separator:a133f4680b8799854d6afc95a151d5e0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59285d5038ddef45bdf3028c078cf32f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMenu.html#a59285d5038ddef45bdf3028c078cf32f">LoadLevel</a> (std::string fname)</td></tr>
<tr class="memdesc:a59285d5038ddef45bdf3028c078cf32f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads level by level name.  <a href="classMenu.html#a59285d5038ddef45bdf3028c078cf32f">More...</a><br /></td></tr>
<tr class="separator:a59285d5038ddef45bdf3028c078cf32f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a045e8ed6cd880bd752b3733368d2fa64"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMenu.html#a045e8ed6cd880bd752b3733368d2fa64">PrintIntro</a> () const</td></tr>
<tr class="separator:a045e8ed6cd880bd752b3733368d2fa64"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6052585ce7c5123300ca94ee52c8f711"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMenu.html#a6052585ce7c5123300ca94ee52c8f711">PrintHelp</a> () const</td></tr>
<tr class="memdesc:a6052585ce7c5123300ca94ee52c8f711"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints commands.  <a href="classMenu.html#a6052585ce7c5123300ca94ee52c8f711">More...</a><br /></td></tr>
<tr class="separator:a6052585ce7c5123300ca94ee52c8f711"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc1aca5945149d6a9a8beb41fce44386"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMenu.html#adc1aca5945149d6a9a8beb41fce44386">PrintTutorial</a> () const</td></tr>
<tr class="memdesc:adc1aca5945149d6a9a8beb41fce44386"><td class="mdescLeft">&#160;</td><td class="mdescRight">Prints basic tutorial.  <a href="classMenu.html#adc1aca5945149d6a9a8beb41fce44386">More...</a><br /></td></tr>
<tr class="separator:adc1aca5945149d6a9a8beb41fce44386"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p><a class="el" href="classMenu.html" title="Menu class for managing user input.">Menu</a> class for managing user input. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a416cfe4b532ec381fe9c2acacf5e5805"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a416cfe4b532ec381fe9c2acacf5e5805">&#9670;&nbsp;</a></span>CheckLevelName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Menu::CheckLevelName </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>fname</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Checks if level name is valid. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">fname</td><td>string name of level </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if level name exist and is valid </dd>
<dd>
false if level doesnt exist or map directory path is invalid </dd></dl>

</div>
</div>
<a id="acf52b48751de665f35f1aa73689d2365"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acf52b48751de665f35f1aa73689d2365">&#9670;&nbsp;</a></span>CheckTerminal()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Menu::CheckTerminal </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Check if terminal is sufficient in size. </p>

</div>
</div>
<a id="a59285d5038ddef45bdf3028c078cf32f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a59285d5038ddef45bdf3028c078cf32f">&#9670;&nbsp;</a></span>LoadLevel()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool Menu::LoadLevel </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>fname</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Loads level by level name. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">fname</td><td>Name of level file </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if level loads correctly </dd>
<dd>
false if level file is corrupted </dd></dl>

</div>
</div>
<a id="a6052585ce7c5123300ca94ee52c8f711"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6052585ce7c5123300ca94ee52c8f711">&#9670;&nbsp;</a></span>PrintHelp()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Menu::PrintHelp </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prints commands. </p>

</div>
</div>
<a id="a045e8ed6cd880bd752b3733368d2fa64"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a045e8ed6cd880bd752b3733368d2fa64">&#9670;&nbsp;</a></span>PrintIntro()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Menu::PrintIntro </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a133f4680b8799854d6afc95a151d5e0e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a133f4680b8799854d6afc95a151d5e0e">&#9670;&nbsp;</a></span>PrintLevelNames()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Menu::PrintLevelNames </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prints name of levels insade map directory. </p>

</div>
</div>
<a id="adc1aca5945149d6a9a8beb41fce44386"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc1aca5945149d6a9a8beb41fce44386">&#9670;&nbsp;</a></span>PrintTutorial()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Menu::PrintTutorial </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Prints basic tutorial. </p>

</div>
</div>
<a id="a032165d0ada39bda2558e21241f2a965"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a032165d0ada39bda2558e21241f2a965">&#9670;&nbsp;</a></span>StartMenu()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Menu::StartMenu </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/<a class="el" href="Menu_8h_source.html">Menu.h</a></li>
<li>src/<a class="el" href="Menu_8cpp.html">Menu.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
